Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger
Class EventRequestModifier.ClassMatch

    java.lang.Object
      com.sun.squawk.debugger.EventRequestModifier
          com.sun.squawk.debugger.EventRequestModifier.ClassMatch

Enclosing class:
  EventRequestModifier

    public static final class EventRequestModifier.ClassMatch

extends EventRequestModifier

A `ClassMatch` modifier restricts reported events to those for classes whose name matches a restricted regular expression. For class prepare events, the prepared class name is matched. For class unload events, the unloaded class name is matched. For other events, the class name of the event's location is matched. This modifier can be used with any event kind except thread start and thread end.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.squawk.debugger.EventRequestModifier
`EventRequestModifier.ClassMatch, EventRequestModifier.ClassOnly, EventRequestModifier.Count, EventRequestModifier.ExceptionOnly, EventRequestModifier.LocationOnly, EventRequestModifier.Matcher, EventRequestModifier.Step, EventRequestModifier.ThreadOnly`

Field Summary
`String` | `classPattern` The restricted regular expression sent by the debugger
`static int` | `CONTAINS`
`static int` | `ENDS_WITH`
`static int` | `EQUALS`
`int` | `eventKind` The name to match depends on the event kind.
`boolean` | `exclude` If true, this is a ClassExclude modifier, otherwise a ClassMatch modifier.
`int` | `matchKind` The operation to be performed with `pattern` to do the match.
`String` | `pattern` The string derived from the regular expression to do the matching.
`static int` | `STARTS_WITH`

Constructor Summary
`EventRequestModifier.ClassMatch(PacketInputStream in, int kind, boolean exclude)` Creates a ClassMatch modifier.

Method Summary
`boolean` | `matches(EventRequestModifier.Matcher matcher, Debugger.Event event)` Determines if this modifier matches the event currently being processed by an event manager.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EQUALS

    public static final int EQUALS

See Also:
  Constant Field Values

### STARTS_WITH

    public static final int STARTS_WITH

See Also:
  Constant Field Values

### ENDS_WITH

    public static final int ENDS_WITH

See Also:
  Constant Field Values

### CONTAINS

    public static final int CONTAINS

See Also:
  Constant Field Values

### classPattern

    public final String classPattern

  The restricted regular expression sent by the debugger

### pattern

    public final String pattern

  The string derived from the regular expression to do the matching.

### matchKind

    public final int matchKind

  The operation to be performed with `pattern` to do the match.

### eventKind

    public final int eventKind

  The name to match depends on the event kind.

### exclude

    public final boolean exclude

  If true, this is a ClassExclude modifier, otherwise a ClassMatch modifier.

Constructor Detail

### EventRequestModifier.ClassMatch

    public EventRequestModifier.ClassMatch(PacketInputStream in,
                                           int kind,
                                           boolean exclude)
                                    throws SDWPException,
                                           IOException

  Creates a ClassMatch modifier.

  Throws:
    `SDWPException`
    `IOException`
  See Also:
    `EventRequestModifier#create`

Method Detail

### matches

    public boolean matches(EventRequestModifier.Matcher matcher,
                           Debugger.Event event)

  Determines if this modifier matches the event currently being processed by an event manager.

  Specified by:
    `matches` in class `EventRequestModifier`
  Returns:
    true if this modifier matches the event

### toString

    public String toString()

  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"